## i8kutils 1.43~mx17+1

=== debian/changelog ===
i8kutils (1.43~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 13 Jan 2019 13:44:16 -0800

=== debian/control ===
Source: i8kutils
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Vitor Augusto <vitorafsr@gmail.com>
Build-Depends: debhelper (>= 9), dh-systemd (>= 1.5)
Standards-Version: 3.9.8
Homepage: https://launchpad.net/i8kutils

Package: i8kutils
Architecture: i386 kfreebsd-i386 amd64 kfreebsd-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, tcl,
         acpi | acpitool, lsb-base (>= 3.0-6)
Description: Fan control for Dell laptops
 This is a collection of utilities to control Dell laptops fans. It includes 
 programs to turn the fans on and off, and to read their status, CPU temperature,
 and BIOS version.

## i8kutils 1.43

=== debian/control ===
Source: i8kutils
Section: utils
Priority: optional
Maintainer: Vitor Augusto <vitorafsr@gmail.com>
Build-Depends: debhelper (>= 9), dh-systemd (>= 1.5)
Standards-Version: 3.9.8
Homepage: https://launchpad.net/i8kutils

Package: i8kutils
Architecture: i386 kfreebsd-i386 amd64 kfreebsd-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, tcl, acpi | acpitool, lsb-base (>= 3.0-6)
Description: Fan control for Dell laptops
 This is a collection of utilities to control Dell laptops fans. It includes 
 programs to turn the fans on and off, to read fans status, CPU temperature,
 BIOS version.

## i8kutils 1.43+nmu1

=== Makefile ===
# Makefile for i8kutils
#
# Copyright (C) 2013-2017  Vitor Augusto <vitorafsr@gmail.com>
# Copyright (C) 2001-2005  Massimo Dal Zotto <dz@debian.org>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

CFLAGS:=-g -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wall
LDFLAGS:=-Wl,-Bsymbolic-functions -Wl,-z,relro

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

all: i8kctl

i8kctl: i8kctl.c i8k.h i8kctl.h

i8kctl_DLIB.o: i8kctl.c i8k.h i8kctl.h
	$(CC) $(CFLAGS) -Wall -c -g -DLIB i8kctl.c -o i8kctl_DLIB.o

probe_i8k_calls_time: i8kctl_DLIB.o probe_i8k_calls_time.c
	$(CC) $(CFLAGS) -Wall -c -g -DLIB probe_i8k_calls_time.c
	$(CC) $(CFLAGS) $(LDFLAGS) -Wall -o probe_i8k_calls_time i8kctl_DLIB.o probe_i8k_calls_time.o

clean:
	rm -f i8kctl probe_i8k_calls_time *.o

=== debian/changelog ===
i8kutils (1.43+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove the build dependency on the deprecated dh-systemd.
    (Closes: #958585)

 -- Adrian Bunk <bunk@debian.org>  Sat, 06 Feb 2021 15:57:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Vitor Augusto <vitorafsr@gmail.com>
-Build-Depends: debhelper (>= 9), dh-systemd (>= 1.5)
+Build-Depends: debhelper (>= 9.20160709)
 Standards-Version: 3.9.8
 Homepage: https://launchpad.net/i8kutils

=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

build: build-arch build-indep
build-arch:
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"
	touch $@

clean:
	dh_testdir
	dh_clean

binary: binary-arch binary-indep
binary-arch: build
	dh_testdir
	dh_testroot
	dh_install -pi8kutils
	dh_installchangelogs -pi8kutils
	dh_installdocs -pi8kutils
	dh_systemd_enable --name=i8kmon
	dh_installinit --name=i8kmon
	dh_systemd_start --name=i8kmon
	dh_installman *.1
	ln -s i8kctl.1 $(CURDIR)/debian/i8kutils/usr/share/man/man1/i8kfan.1
	dh_link -pi8kutils
	dh_strip -pi8kutils
	dh_compress -pi8kutils
	dh_fixperms -pi8kutils
	dh_installdeb -pi8kutils
	dh_shlibdeps -pi8kutils
	dh_gencontrol -pi8kutils
	dh_md5sums -pi8kutils
	dh_builddeb -pi8kutils

build-indep: ;

binary-indep: ;

.PHONY: build build-arch build-indep clean binary binary-arch binary-indep

## i8kutils 1.45

=== debian/changelog ===
i8kutils (1.45) unstable; urgency=medium

  * QA upload.

  [ наб ]
  * Vcs-Git: https://salsa.debian.org/debian/i8kutils.git

  [ Petter Reinholdtsen ]
  * Added Appstream metainfo XML announcing HW support (Closes: #1091176)

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 26 Dec 2024 10:57:47 +0100

i8kutils (1.44) unstable; urgency=medium

  * QA upload.

  [ наб ]
  * Maintainer: Debian QA Group <packages@qa.debian.org> (cf. #948521)
  * Update obsolete launchpad links to https://salsa.debian.org/debian/i8kutils
    + the old package's git repository was actually also mirrored to
      https://github.com/vitorafsr/i8kutils as well
    + there's a bunch of bugs at https://github.com/vitorafsr/i8kutils/issues
    + the changelog below comes from unuploaded bits of that repository
  * Remove RFA notice, it's orphaned now
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * no sequencer -> dh
  * skip-systemd-native-flag-missing-pre-depends
  * depends-on-obsolete-package Depends: lsb-base (>= 3.0-6)

  [ Vitor Augusto ]
  * Added debian/NEWS file.

  [ Vasil Sarafov ]
  * Add .gitignore

  [ Vitor Augusto ]
  * Minor correction on debian/control on Depends.

  [ uriesk ]
  * Delete outdated spec file and create new one
    that works for building a rpm from the git repository.

  [ x-hgg-x ]
  * Add configuration for Dell XPS 15 9560/9570
  * Disable setting of fan speed before probing CPU temperature
  * Add possibility to add more temperature configurations
    Force fan speed modification
    if the config state is inconsistent with fan speed.
  * Change temperature configuration
  * Don't read fan state from BIOS

  [ uriesk ]
  * Fix BuildRequire dependency

  [ Vitor Augusto ]
  * Update i8kmon.service
  * Update README.i8kutils

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 07 Dec 2024 16:35:32 +0100

=== debian/control ===
Source: i8kutils
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Homepage: https://salsa.debian.org/debian/i8kutils
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/i8kutils.git
Vcs-Browser: https://salsa.debian.org/debian/i8kutils

Package: i8kutils
Architecture: i386 kfreebsd-i386 amd64 kfreebsd-amd64
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, tcl, acpi | acpitool
Description: Fan control for Dell laptops
 This is a collection of utilities to control Dell laptops fans. It includes
 programs to turn the fans on and off, to read fans status, CPU temperature,
 BIOS version.

=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"

override_dh_installinit:
	dh_installinit --name=i8kmon

override_dh_installsystemd:
	dh_installsystemd --name=i8kmon

%:
	dh $@

## i8kutils 1.45build1

=== debian/changelog ===
i8kutils (1.45build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 21 Jan 2026 19:27:49 +0000
